petsc-3.4.2 2013-07-02

# SNESGSSetTolerances

Sets various parameters used in convergence tests.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGSSetTolerances(SNES snes,PetscReal abstol,PetscReal rtol,PetscReal stol,PetscInt maxit)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| abstol | - absolute convergence tolerance
| rtol | - relative convergence tolerance
| stol | - convergence tolerance in terms of the norm of the change in the solution between steps, || delta x || < stol*|| x ||
| maxit | - maximum number of iterations

### Options Database Keys

| -snes_gs_atol <abstol> | - Sets abstol
| -snes_gs_rtol <rtol> | - Sets rtol
| -snes_gs_stol <stol> | - Sets stol
| -snes_max_it <maxit> | - Sets maxit

### Keywords

SNES, nonlinear, gauss-seidel, set, convergence, tolerances

### See Also

SNESSetTrustRegionTolerance()

Level:intermediate
Location:src/snes/impls/gs/snesgs.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages